package modele.donnees;

import modele.calculs.Direction;

import java.util.ArrayList;

public class GroupeColonne extends ArrayList<Colonne> implements ElementDynamique {
    private int etat = 0;

    public GroupeColonne() {
    }

    public int getEtat() {
        return etat;
    }

    public void prochainEtat() {
        this.etat = (this.etat + 1) % 2;
    }

    @Override
    public boolean avancerDirectionChoisie(Direction d) {
        boolean ret = false;
        switch (d) {
            case haut:
                for(Colonne c : this)
                    if(c.avancerDirectionChoisie(d))
                        ret = true;
                    else
                        break;
                break;
            case bas:
                for(int i = this.size() - 1 ; i >= 0; i--)
                    if(this.get(i).avancerDirectionChoisie(d))
                        ret = true;
                    else
                        break;
                break;
        }
        return ret;
    }

    @Override
    public String toString() {
        return null;
    }

}
